/// ! 704/ 10^, )!3!+¿!¡/[!]
#include<bits/stdc++.h>

using namespace std;

#define ll long long
#define dl double long
#define str string
#define vi vector<int>
#define vl vector<ll>
#define vvi vector<vi>
#define pi pair<int, int>
#define vp vector<pi>
#define pb push_back
#define popb pop_back
#define f first
#define s second
#define t third
#define ti triple<int, int, int>

const int MOD = 1e9 + 7;
const int N = 2e5 + 5;

ll binpow(ll a, ll b) {
    ll res = 1;
    while(b > 0){
        if(b & 1)
            res = res * a;
        a = a * a;
        b >>= 1;
    }
    return res;
}

void solve(){
    int n, l;
    cin >> n >> l;
    int a[n];
    for(int i = 0; i < n; i++) cin >> a[i];
    int i1 = -1;
    for(int i = 0; i < n; i++){
        if(a[i] <= l){
            i1 = i + 1;
            break;
        }
    }
    cout << i1 << "\n";

}

int main(){
    cin.tie(0);cout.tie(0);ios_base::sync_with_stdio(false);
    solve();
    return 0;
}